Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets
Class ResizableConfig

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.core.BaseConfig
              com.gwtext.client.widgets.ResizableConfig

    public class ResizableConfig

extends BaseConfig

Configuration class for `Resizable`.

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`ResizableConfig()`

Method Summary
`void` | `setAdjustments(int widthAdjustment, int heightAdjustment)` The width, height adjustments to be added to the resize operation's new size.
`void` | `setAnimate(boolean animate)` True to animate the resize (not compatible with dynamic sizing, defaults to false).
`void` | `setAutoAdjustments()` Sets the adjustments to "auto".
`void` | `setDisableTrackOver(boolean disableTrackOver)` True to disable mouse tracking.
`void` | `setDraggable(boolean draggable)` Convenience to initialize drag drop (defaults to false).
`void` | `setDuration(float duration)` Animation duration if animate = true (defaults to .35).
`void` | `setDynamic(boolean dynamic)` True to resize the element while dragging instead of using a proxy (defaults to false).
`void` | `setEasing(com.gwtext.client.animation.Easing easing)` Animation easieng if animate = true.
`void` | `setEnabled(boolean enabled)` False to disable resizing (defaults to true).
`void` | `setHandles(Resizable.Handle handles)` The resize handles to display (defaults to none)
`void` | `setHeight(int height)` The height of the element in pixels (defaults to null).
`void` | `setHeightIncrement(int heightIncrement)` The increment to snap the height resize in pixels (dynamic must be true, defaults to 0).
`void` | `setMaxHeight(int maxHeight)` The maximum height for the element (defaults to 10000).
`void` | `setMaxWidth(int maxWidth)` The maximum width for the element (defaults to 10000).
`void` | `setMinHeight(int minHeight)` The minimum height for the element (defaults to 5).
`void` | `setMinWidth(int minWidth)` The minimum width for the element (defaults to 5).
`void` | `setMinX(int minX)` The minimum allowed page X for the element (only used for west resizing, defaults to 0).
`void` | `setMinY(int minY)` The minimum allowed page Y for the element (only used for north resizing, defaults to 0).
`void` | `setPinned(boolean pinned)` True to ensure that the resize handles are always visible, false to display them only when the user mouses over the resizable borders.
`void` | `setPreserveRatio(boolean preserveRatio)` True to preserve the original ratio between height and width during resize (defaults to false).
`void` | `setResizeChild(boolean resizeChild)` True to resize the first child, or id/element to resize (defaults to false).
`void` | `setTransparent(boolean transparent)` True for transparent handles.
`void` | `setWidth(int width)` The width of the element in pixels (defaults to null).
`void` | `setWidthIncrement(boolean widthIncrement)` The increment to snap the width resize in pixels (dynamic must be true, defaults to 0).
`void` | `setWrap(boolean wrap)` True to wrap an element with a div if needed (required for textareas and images, defaults to false).

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResizableConfig

    public ResizableConfig()

Method Detail

### setAutoAdjustments

    public void setAutoAdjustments()

  Sets the adjustments to "auto".

### setAdjustments

    public void setAdjustments(int widthAdjustment,
                               int heightAdjustment)

  The width, height adjustments to be added to the resize operation's new size. Defaults to 0, 0

  Parameters:
    `widthAdjustment` - the width adjustment
    `heightAdjustment` - the height adjustent

### setAnimate

    public void setAnimate(boolean animate)

  True to animate the resize (not compatible with dynamic sizing, defaults to false).

  Parameters:
    `animate` - true to anumate resize

### setDisableTrackOver

    public void setDisableTrackOver(boolean disableTrackOver)

  True to disable mouse tracking. This is only applied at config time. (defaults to false).

  Parameters:
    `disableTrackOver` - true to disable mouse tracking

### setDraggable

    public void setDraggable(boolean draggable)

  Convenience to initialize drag drop (defaults to false).

  Parameters:
    `draggable` - true to initialize drag and drop

### setDuration

    public void setDuration(float duration)

  Animation duration if animate = true (defaults to .35).

  Parameters:
    `duration` - the animation duration

### setDynamic

    public void setDynamic(boolean dynamic)

  True to resize the element while dragging instead of using a proxy (defaults to false).

  Parameters:
    `dynamic` - true to resize element and not proxy during dragging

### setEasing

    public void setEasing(com.gwtext.client.animation.Easing easing)

  Animation easieng if animate = true. Defaults to `Easing.EASE_OUT_STRONG`

  Parameters:
    `easing` - the easing method

### setEnabled

    public void setEnabled(boolean enabled)

  False to disable resizing (defaults to true).

  Parameters:
    `enabled` - false to disable resizing

### setHandles

    public void setHandles(Resizable.Handle handles)

  The resize handles to display (defaults to none)

  Parameters:
    `handles` - the resize handles to display

### setHeight

    public void setHeight(int height)

  The height of the element in pixels (defaults to null).

  Parameters:
    `height` - the element height

### setHeightIncrement

    public void setHeightIncrement(int heightIncrement)

  The increment to snap the height resize in pixels (dynamic must be true, defaults to 0).

  Parameters:
    `heightIncrement` - the height increment

### setMaxHeight

    public void setMaxHeight(int maxHeight)

  The maximum height for the element (defaults to 10000).

  Parameters:
    `maxHeight` - the max height of element

### setMaxWidth

    public void setMaxWidth(int maxWidth)

  The maximum width for the element (defaults to 10000).

  Parameters:
    `maxWidth` - the max width

### setMinHeight

    public void setMinHeight(int minHeight)

  The minimum height for the element (defaults to 5).

  Parameters:
    `minHeight` - the min height

### setMinWidth

    public void setMinWidth(int minWidth)

  The minimum width for the element (defaults to 5).

  Parameters:
    `minWidth` - the min width

### setMinX

    public void setMinX(int minX)

  The minimum allowed page X for the element (only used for west resizing, defaults to 0).

  Parameters:
    `minX` - the min x value

### setMinY

    public void setMinY(int minY)

  The minimum allowed page Y for the element (only used for north resizing, defaults to 0).

  Parameters:
    `minY` - the min Y value

### setPinned

    public void setPinned(boolean pinned)

  True to ensure that the resize handles are always visible, false to display them only when the user mouses over the resizable borders. This is only applied at config time. (defaults to false)

  Parameters:
    `pinned` - true to ensure that the resize handles are always visible

### setPreserveRatio

    public void setPreserveRatio(boolean preserveRatio)

  True to preserve the original ratio between height and width during resize (defaults to false).

  Parameters:
    `preserveRatio` - true to preserve ratio

### setResizeChild

    public void setResizeChild(boolean resizeChild)

  True to resize the first child, or id/element to resize (defaults to false).

  Parameters:
    `resizeChild` - true to resize the first child

### setTransparent

    public void setTransparent(boolean transparent)

  True for transparent handles. This is only applied at config time. (defaults to false).

  Parameters:
    `transparent` - true for transparent handles

### setWidth

    public void setWidth(int width)

  The width of the element in pixels (defaults to null).

  Parameters:
    `width` - the width of element

### setWidthIncrement

    public void setWidthIncrement(boolean widthIncrement)

  The increment to snap the width resize in pixels (dynamic must be true, defaults to 0).

  Parameters:
    `widthIncrement` - the width increment

### setWrap

    public void setWrap(boolean wrap)

  True to wrap an element with a div if needed (required for textareas and images, defaults to false).

  Parameters:
    `wrap` - true to wrap element in a div if needed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD